

<template>



                      
<Card v-for="groupe in groupes" v-bind:key="groupe">
    <template #title>
        {{ groupe.nom }}
    </template>
    <template #content>
      <p>Reliée au calendrier {{ groupe.calendrier }}</p>
    </template>
    <template #footer>
        <Button icon="pi pi-check" label="Modifier" />
        <Button icon="pi pi-times" label="Supprimer" class="p-button-secondary" style="margin-left: .5em" />
    </template>
</Card>



</template>


<style scoped>

    .p-card{
      margin: 48px 196px;

    }

</style>

<script>

import axios from "axios";

export default {
  components: {},
  name: "groupe",
  props: {
    msg: String,
  

  },

    data() {
      return {
          groupes: [],
          groupe: ""
          };
        },

    mounted() {
    axios.get("http://localhost:8080/api/groupes")
    .then((response) => (this.groupes = response.data['hydra:member']))
    .then(response => console.log(response));
  }


}

</script>